# BuildMatrix

BuildMatrix is a CLI tool for generating backend templates in Node.js, supporting both JavaScript and TypeScript. It simplifies the process of setting up a new project by creating a pre-configured template based on your chosen options.

## Features

- Supports JavaScript and TypeScript
- Includes pre-configured ESLint settings
- Option to set up the project with CommonJS or ES modules
- Automatically installs necessary dependencies
- Provides a structured project layout

## Installation

To install BuildMatrix globally, use npm:

```bash
npm install -g buildmatrix
```
